diff --git a/src/loader/bgw_launcher.c b/src/loader/bgw_launcher.c
index 48f8b8df967..a06f357fc1a 100644
--- a/src/loader/bgw_launcher.c
+++ b/src/loader/bgw_launcher.c
@@ -82,13 +82,6 @@ typedef enum SchedulerState
 #define BGW_LAUNCHER_RESTART_TIME_S 60
 #endif
 
-/* WaitLatch expects a long */
-#ifdef TS_DEBUG
-#define BGW_LAUNCHER_POLL_TIME_MS 10L
-#else
-#define BGW_LAUNCHER_POLL_TIME_MS 60000L
-#endif
-
 static volatile sig_atomic_t got_SIGHUP = false;
 
 static void launcher_sighup(SIGNAL_ARGS)
@@ -779,7 +772,7 @@ ts_bgw_cluster_launcher_main(PG_FUNCTION_ARGS)
 
 		wl_rc = WaitLatch(MyLatch,
 						  WL_LATCH_SET | WL_POSTMASTER_DEATH | WL_TIMEOUT,
-						  BGW_LAUNCHER_POLL_TIME_MS,
+						  (long) ts_guc_launcher_poll_time,
 						  PG_WAIT_EXTENSION);
 		ResetLatch(MyLatch);
 		if (wl_rc & WL_POSTMASTER_DEATH)
diff --git a/src/loader/loader.c b/src/loader/loader.c
index 6937928f46f..c2bc50d9d25 100644
--- a/src/loader/loader.c
+++ b/src/loader/loader.c
@@ -84,6 +84,7 @@ PG_MODULE_MAGIC;
 
 #define POST_LOAD_INIT_FN "ts_post_load_init"
 #define GUC_DISABLE_LOAD_NAME "timescaledb.disable_load"
+#define GUC_LAUNCHER_POLL_TIME_MS "timescaledb.launcher_poll_time"
 
 /*
  * The loader really shouldn't load if we're in a parallel worker as there is a
@@ -107,6 +108,8 @@ static char soversion[MAX_VERSION_LEN];
 /* GUC to disable the load */
 static bool guc_disable_load = false;
 
+int ts_guc_launcher_poll_time = BGW_LAUNCHER_POLL_TIME_MS;
+
 /* This is the hook that existed before the loader was installed */
 static post_parse_analyze_hook_type prev_post_parse_analyze_hook;
 static shmem_startup_hook_type prev_shmem_startup_hook;
@@ -644,6 +647,20 @@ _PG_init(void)
 							 NULL,
 							 NULL);
 
+	DefineCustomIntVariable(GUC_LAUNCHER_POLL_TIME_MS,
+							"Launcher timeout value in milliseconds",
+							"Configure the time the launcher waits "
+							"to look for new TimescaleDB instances",
+							&ts_guc_launcher_poll_time,
+							BGW_LAUNCHER_POLL_TIME_MS, /* 10 ms or 60 seconds */
+							10,						   /* min: 10ms */
+							PG_INT32_MAX,			   /* PG_INT16_MAX would be too small  */
+							PGC_POSTMASTER,
+							0,
+							NULL,
+							NULL,
+							NULL);
+
 	/*
 	 * Cannot check for extension here since not inside a transaction yet. Nor
 	 * do we even have an assigned database yet.
diff --git a/src/loader/loader.h b/src/loader/loader.h
index 79cdb9cc299..fc24107a1ad 100644
--- a/src/loader/loader.h
+++ b/src/loader/loader.h
@@ -14,4 +14,15 @@ extern bool ts_loader_extension_exists(void);
 
 extern void ts_loader_extension_check(void);
 
+/* WaitLatch expects a long, so make sure to cast the value */
+/* Default value for timescaledb.launcher_poll_time */
+#ifdef TS_DEBUG
+#define BGW_LAUNCHER_POLL_TIME_MS 10
+#else
+#define BGW_LAUNCHER_POLL_TIME_MS 60000
+#endif
+
+/* GUC to control launcher timeout */
+extern int ts_guc_launcher_poll_time;
+
 #endif /* TIMESCALEDB_LOADER_H */
